Bug 6983 - Item type filter on overdues report does not respect item-level_itypes preference
Summary: Item type filter on overdues report does not respect item-level_itypes prefer...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-06 19:10 UTC by Owen Leonard
Modified: 2013-12-05 20:01 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed fix (1.63 KB, patch)
2011-10-06 19:18 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2011-10-06 19:10:46 UTC
The item type filter on the overdues report (overdue.pl) only checks the biblio-level itemtype (biblioitems.itemtype). The script should check the value of the item-level_itypes preference and alternately use items.itype.
Comment 1 Owen Leonard 2011-10-06 19:18:38 UTC
Created attachment 5749 [details] [review]
Proposed fix

To test: identify or modify records contained in your overdues report so that some have different item-level item types and some have different biblio-level item types:

Title 1 - Item-level item type A
Title 2 - Item-level item type B
Title 3 - Biblio-level item type C
Title 4 - Biblio-level item type D

With item-level_itypes ON your report should correctly filter on item types A and B. With itme-level_itypes OFF your report should correctly filter on item types C and D.
Comment 2 Julian Maurice 2011-10-07 14:29:41 UTC
Works fine.
Signed off.
Comment 3 Ian Walls 2011-10-17 19:21:26 UTC
Simple SQL change, consistent with the many other such switches we have for this kind of test.  Marking as Passed QA
Comment 4 Chris Cormack 2011-10-18 02:56:10 UTC
Pushed, please test